Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-80635

SQLite CVE-2019-19244

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.13.2, 5.14.0 RC2
    • Fix Version/s: 5.12.7, 5.14.1, 5.15.0 Alpha
    • Component/s: SQL Support
    • Labels:
      None
    • Platform/s:
      Windows
    • Commits:
      a7108ec6cfb6411e40a4012f3e6d3b5d5fb9631d (qt/qtbase/5.14) 277b8dde1ace28ea59f41e4f87d0291094106c74 (qt/qtbase/5.12)

      Description

      Hello Qt team,

      There's a relatively new CVE for SQLite (CVE-2019-19244), which I'm not sure is applicable to Qt. Could you please analyze it and let me know if this is applicable and in what conditions if yes? I'm not sure, for example, if window functions (which are a prerequisite) are supported and so on.

      If you think this is applicable, please share your plans on fixing it (timelines and Qt versions).

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            andysh Andy Shaw
            Reporter:
            alext-wk Alexander T
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes